from PytorchBoot.application import PytorchBootApplication
from runners.cad_open_loop_strategy import CADOpenLoopStrategyRunner
from runners.cad_close_loop_strategy import CADCloseLoopStrategyRunner


@PytorchBootApplication("cad_ol")
class AppCADOpenLoopStrategy:
    @staticmethod
    def start():
        CADOpenLoopStrategyRunner("configs/cad_open_loop_config.yaml").run()
        
@PytorchBootApplication("cad_cl")
class AppCADCloseLoopStrategy:
    @staticmethod
    def start():
        CADCloseLoopStrategyRunner("configs/cad_close_loop_config.yaml").run()